<mat-toolbar  color="primary">
  <div class="nav">
  <span (click)="navigateToProducts()">shopping app</span>
    <button *ngIf="!isAuthenticated; else logoutButton" (click)="navigateToLogin()" type="button" mat-button>
      Log In
    </button>
    <ng-template #logoutButton >
      <button (click)="logout()" type="button" mat-button>
      Log Out
    </button>
  </ng-template>
  </div>
</mat-toolbar>
